aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.ListIdentities

Synopsis

- data ListIdentities = ListIdentities {
  - liIdentityType :: Maybe IdentityType
  - liMaxItems :: Maybe Int
  - liNextToken :: Maybe Text
  }
- data ListIdentitiesResponse = ListIdentitiesResponse [Text]
- data IdentityType
  - = EmailAddress
  - | Domain

# Documentation

data ListIdentities Source #

List email addresses and/or domains

Constructors

ListIdentities |

Fields

- liIdentityType :: Maybe IdentityType
- liMaxItems :: Maybe Int
- liNextToken :: Maybe Text

#### Instances

Instances details

SignQuery ListIdentities Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type ServiceConfiguration ListIdentities |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ServiceConfiguration ListIdentities = SesConfiguration

Methods

signQuery :: ListIdentities -> ServiceConfiguration ListIdentities queryType -> SignatureData -> SignedQuery Source #

Show ListIdentities Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods showsPrec :: Int -> ListIdentities -> ShowS Source # show :: ListIdentities -> String Source # showList :: [ListIdentities] -> ShowS Source #
Eq ListIdentities Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods (==) :: ListIdentities -> ListIdentities -> Bool Source # (/=) :: ListIdentities -> ListIdentities -> Bool Source #
Ord ListIdentities Source # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Methods

compare :: ListIdentities -> ListIdentities -> Ordering Source #

(<) :: ListIdentities -> ListIdentities -> Bool Source #

(<=) :: ListIdentities -> ListIdentities -> Bool Source #

(>) :: ListIdentities -> ListIdentities -> Bool Source #

(>=) :: ListIdentities -> ListIdentities -> Bool Source #

max :: ListIdentities -> ListIdentities -> ListIdentities Source #

min :: ListIdentities -> ListIdentities -> ListIdentities Source #

ResponseConsumer ListIdentities ListIdentitiesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type ResponseMetadata ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ResponseMetadata ListIdentitiesResponse = SesMetadata

Methods

responseConsumer :: Request -> ListIdentities -> IORef (ResponseMetadata ListIdentitiesResponse) -> HTTPResponseConsumer ListIdentitiesResponse Source #

Transaction ListIdentities ListIdentitiesResponse Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities
type ServiceConfiguration ListIdentities Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ServiceConfiguration ListIdentities = SesConfiguration

data ListIdentitiesResponse Source #

The response sent back by Amazon SES after a `ListIdentities` command.

Constructors

ListIdentitiesResponse [Text] |

#### Instances

Instances details

AsMemoryResponse ListIdentitiesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type MemoryResponse ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type MemoryResponse ListIdentitiesResponse = ListIdentitiesResponse

Methods

loadToMemory :: ListIdentitiesResponse -> ResourceT IO (MemoryResponse ListIdentitiesResponse) Source #

Show ListIdentitiesResponse Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods showsPrec :: Int -> ListIdentitiesResponse -> ShowS Source # show :: ListIdentitiesResponse -> String Source # showList :: [ListIdentitiesResponse] -> ShowS Source #
Eq ListIdentitiesResponse Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods (==) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool Source # (/=) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool Source #
Ord ListIdentitiesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Methods

compare :: ListIdentitiesResponse -> ListIdentitiesResponse -> Ordering Source #

(<) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool Source #

(<=) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool Source #

(>) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool Source #

(>=) :: ListIdentitiesResponse -> ListIdentitiesResponse -> Bool Source #

max :: ListIdentitiesResponse -> ListIdentitiesResponse -> ListIdentitiesResponse Source #

min :: ListIdentitiesResponse -> ListIdentitiesResponse -> ListIdentitiesResponse Source #

ResponseConsumer ListIdentities ListIdentitiesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type ResponseMetadata ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ResponseMetadata ListIdentitiesResponse = SesMetadata

Methods

responseConsumer :: Request -> ListIdentities -> IORef (ResponseMetadata ListIdentitiesResponse) -> HTTPResponseConsumer ListIdentitiesResponse Source #

Transaction ListIdentities ListIdentitiesResponse Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities
type MemoryResponse ListIdentitiesResponse Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type MemoryResponse ListIdentitiesResponse = ListIdentitiesResponse
type ResponseMetadata ListIdentitiesResponse Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ResponseMetadata ListIdentitiesResponse = SesMetadata

data IdentityType Source #

Constructors

EmailAddress |
Domain |

#### Instances

Instances details

Show IdentityType Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods showsPrec :: Int -> IdentityType -> ShowS Source # show :: IdentityType -> String Source # showList :: [IdentityType] -> ShowS Source #
Eq IdentityType Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities Methods (==) :: IdentityType -> IdentityType -> Bool Source # (/=) :: IdentityType -> IdentityType -> Bool Source #
Ord IdentityType Source # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Methods

compare :: IdentityType -> IdentityType -> Ordering Source #

(<) :: IdentityType -> IdentityType -> Bool Source #

(<=) :: IdentityType -> IdentityType -> Bool Source #

(>) :: IdentityType -> IdentityType -> Bool Source #

(>=) :: IdentityType -> IdentityType -> Bool Source #

max :: IdentityType -> IdentityType -> IdentityType Source #

min :: IdentityType -> IdentityType -> IdentityType Source #